<?xml version="1.0" encoding="UTF-8"?>
<configuration>

    <appender name="FILE-AUDIT" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>logs/main.log</file>
        <encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
            <pattern>[%date] [%thread] %-5level %logger.%M\(%class{0}.java:%line\) - %message %xException%n</pattern>
        </encoder>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <!-- rollover daily -->
            <fileNamePattern>archived/debug.%d{yyyy-MM-dd}.%i.log</fileNamePattern>
            <timeBasedFileNamingAndTriggeringPolicy
                    class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
                <maxFileSize>10MB</maxFileSize>
            </timeBasedFileNamingAndTriggeringPolicy>
        </rollingPolicy>
    </appender>

    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <layout class="ch.qos.logback.classic.PatternLayout">
            <Pattern>
                [%date] [%thread] %-5level %logger.%M\(%class{0}.java:%line\) - %message %xException%n
            </Pattern>
        </layout>
    </appender>

    <root level="debug">
        <appender-ref ref="FILE-AUDIT"/>
        <appender-ref ref="STDOUT" />
    </root>

</configuration>